commit c93cf85339b015ed8f586ac5c1b206849f24993c
Author: Petr Lukašík <lukasik@rtsoft.cz>
Date:   Tue Jun 11 15:24:34 2019 +0200

    Re #7610 lokalizace do češtiny

diff --git a/app/AdminModule/component/Transliteration/TransliterationGrid.php b/app/AdminModule/component/Transliteration/TransliterationGrid.php
index dd18897..dcfbed2 100644
--- a/app/AdminModule/component/Transliteration/TransliterationGrid.php
+++ b/app/AdminModule/component/Transliteration/TransliterationGrid.php
@@ -181,7 +181,7 @@ class TransliterationGrid extends DataGrid
             ->setClass('btn btn-xs btn-danger ajax');
 
         $this->addExportCallback(
-            'Export dat',
+            'Export data',
             function ($dataSource, $grid)
             {
                 $this->exportData($dataSource, $grid);
diff --git a/app/AdminModule/component/User/UserEditForm.latte b/app/AdminModule/component/User/UserEditForm.latte
index b08f380..65fdfa6 100644
--- a/app/AdminModule/component/User/UserEditForm.latte
+++ b/app/AdminModule/component/User/UserEditForm.latte
@@ -1,7 +1,7 @@
 <div class="row">
     <div class="col-4">
         <fieldset>
-            <legend>Editace uživatele</legend>
+            <legend>User edit</legend>
 
             {control form}
         </fieldset>
diff --git a/app/AdminModule/component/User/UserEditForm.php b/app/AdminModule/component/User/UserEditForm.php
index f32eb59..e38dc02 100644
--- a/app/AdminModule/component/User/UserEditForm.php
+++ b/app/AdminModule/component/User/UserEditForm.php
@@ -64,33 +64,33 @@ class UserEditForm extends Control
 
     public function createComponentForm()
     {
-        $this->form->addText(UserRepository::COLUMN_USERNAME, 'Uživatelské jméno');
+        $this->form->addText(UserRepository::COLUMN_USERNAME, 'Username');
         $this->form->addText(UserRepository::COLUMN_LOGIN, 'Login')
             ->setRequired(TRUE);
 
-        $password = $this->form->addPassword(UserRepository::COLUMN_PASSWORD, 'Heslo');
-        $passwordConfirm = $this->form->addPassword(self::PASSWORD_CONFIRM, 'Potvrzení hesla')
+        $password = $this->form->addPassword(UserRepository::COLUMN_PASSWORD, 'Password');
+        $passwordConfirm = $this->form->addPassword(self::PASSWORD_CONFIRM, 'Confirm password')
             ->addConditionOn($password, Form::FILLED, TRUE)
-            ->addRule(Form::EQUAL, 'Hesla se musejí shodovat.', $password)
-            ->addRule(Form::REQUIRED, 'Pole %label je povinné')
+            ->addRule(Form::EQUAL, 'Passwords must match!', $password)
+            ->addRule(Form::REQUIRED, 'Field %label is required')
             ->endCondition();
 
         if (empty($this->userId))
         {
-            $password->addRule(Form::REQUIRED, 'Pole %label je povinné', TRUE);
-            $passwordConfirm->addRule(Form::REQUIRED, 'Pole %label je povinné');
+            $password->addRule(Form::REQUIRED, 'Field %label is required', TRUE);
+            $passwordConfirm->addRule(Form::REQUIRED, 'Field %label is required');
         }
 
-        $this->form->addSelect(UserRoleRepository::COLUMN_ROLE_ID, 'Role uživatele', $this->getRoles())
-            ->setPrompt('- Vyberte roli -')
-            ->addRule(Form::REQUIRED, '%label musí být vybrána.', TRUE);
+        $this->form->addSelect(UserRoleRepository::COLUMN_ROLE_ID, 'User Role', $this->getRoles())
+            ->setPrompt('- Choose role -')
+            ->addRule(Form::REQUIRED, '%label must be picked.', TRUE);
         $this->form->addText(UserRepository::COLUMN_EMAIL, 'E-mail')
-            ->addRule(Form::EMAIL, 'Prvek %label musí obsahovat validní e-mail.')
+            ->addRule(Form::EMAIL, 'Field %label must contain valid e-mail.')
             ->setRequired(FALSE);
 
         $this->form->setDefaults($this->getDefaults());
 
-        $submitText = empty($this->userId) ? 'Přidat uživatele' : 'Upravit uživatele';
+        $submitText = empty($this->userId) ? 'Add user' : 'Edit user';
         $this->form->addSubmit('submit', $submitText);
 
         $this->form->onValidate[] = [$this, 'formValidate'];
@@ -113,7 +113,7 @@ class UserEditForm extends Control
         {
             if ($this->userRepository->findByLogin($values->{UserRepository::COLUMN_LOGIN}))
             {
-                $form->addError('Uživatel se zadaným loginem již existuje.');
+                $form->addError('User with this login already exists.');
             }
         }
     }
@@ -124,11 +124,11 @@ class UserEditForm extends Control
 
         if ($result)
         {
-            $this->presenter->flashMessage('Uživatel byl úspěšně upraven.', EFlashMessage::SUCCESS);
+            $this->presenter->flashMessage('User was successfully edited.', EFlashMessage::SUCCESS);
             $this->presenter->redirect('User:edit', ['id' => $result->{UserRepository::COLUMN_ID}]);
         } else
         {
-            $form->addError('Uživatele se nepodařilo upravit.');
+            $form->addError('Failed to edit user.');
         }
     }
 
diff --git a/app/AdminModule/component/User/UserGrid.php b/app/AdminModule/component/User/UserGrid.php
index 5b5ea64..e377bc9 100644
--- a/app/AdminModule/component/User/UserGrid.php
+++ b/app/AdminModule/component/User/UserGrid.php
@@ -19,7 +19,7 @@ class UserGrid extends DataGrid
     {
         $this->userRepository = $userRepository;
 
-        parent::__construct();
+        parent::__construct(false);
     }
 
     /**
@@ -44,22 +44,22 @@ class UserGrid extends DataGrid
     {
         // Definice sloupečků
         $this->addColumnNumber(UserRepository::COLUMN_ID, 'ID')->setDefaultHide(TRUE);
-        $this->addColumnText(UserRepository::COLUMN_USERNAME, 'Uživatel');
+        $this->addColumnText(UserRepository::COLUMN_USERNAME, 'User');
         $this->addColumnText(UserRepository::COLUMN_LOGIN, 'Login');
         $this->addColumnText(UserRepository::COLUMN_EMAIL, 'Email');
 
         // Definice filtrů
-        $this->addFilterText(UserRepository::COLUMN_USERNAME, 'Uživatel');
+        $this->addFilterText(UserRepository::COLUMN_USERNAME, 'User');
         $this->addFilterText(UserRepository::COLUMN_LOGIN, 'Login');
         $this->addFilterText(UserRepository::COLUMN_EMAIL, 'Email');
 
         // Akce
-        $this->addAction('edit', 'upravit', 'User:edit', ['id' => UserRepository::COLUMN_ID])
-            ->setTitle('Editovat');
+        $this->addAction('edit', 'edit', 'User:edit', ['id' => UserRepository::COLUMN_ID])
+            ->setTitle('Edit');
 
-        $this->addAction('delete', 'smazat', 'deleteUser!', ['id' => UserRepository::COLUMN_ID])
-            ->setConfirm('Opravdu chcete uživatele "%s" odstranit?', UserRepository::COLUMN_LOGIN)
-            ->setTitle('Odstranit')
+        $this->addAction('delete', 'delete', 'deleteUser!', ['id' => UserRepository::COLUMN_ID])
+            ->setConfirm('Do you really want to delete user "%s"?', UserRepository::COLUMN_LOGIN)
+            ->setTitle('Delete')
             ->setClass('btn btn-xs btn-danger ajax');
     }
 }
diff --git a/app/AdminModule/templates/User/add.latte b/app/AdminModule/templates/User/add.latte
index 44d6948..bd25331 100644
--- a/app/AdminModule/templates/User/add.latte
+++ b/app/AdminModule/templates/User/add.latte
@@ -1,10 +1,10 @@
 {block content}
 <div class="row">
     <div class="col-10">
-        <div class="display-5">Administrace - Nový uživatel</div>
+        <div class="display-5">Administration - New user</div>
     </div>
     <div class="col-2 text-right">
-        <a n:href="User:default" class="btn btn-sm btn-success"><span class="fa fa-fw fa-list"></span> Seznam uživatelů</a>
+        <a n:href="User:default" class="btn btn-sm btn-success"><span class="fa fa-fw fa-list"></span> Users list</a>
     </div>
 </div>
 {control userEditForm}
\ No newline at end of file
diff --git a/app/AdminModule/templates/User/default.latte b/app/AdminModule/templates/User/default.latte
index c4c44bb..36e4992 100644
--- a/app/AdminModule/templates/User/default.latte
+++ b/app/AdminModule/templates/User/default.latte
@@ -1,10 +1,10 @@
 {block content}
 <div class="row">
     <div class="col-10">
-        <div class="display-5">Administrace - Seznam uživatelů</div>
+        <div class="display-5">Administration - Users list</div>
     </div>
     <div class="col-2 text-right">
-        <a n:href="User:add" class="btn btn-sm btn-success"><span class="fa fa-fw fa-plus"></span> Přidat uživatele</a>
+        <a n:href="User:add" class="btn btn-sm btn-success"><span class="fa fa-fw fa-plus"></span> Add user</a>
     </div>
 </div>
 <div class="row">
diff --git a/app/AdminModule/templates/User/edit.latte b/app/AdminModule/templates/User/edit.latte
index 861e3bb..186d9cd 100644
--- a/app/AdminModule/templates/User/edit.latte
+++ b/app/AdminModule/templates/User/edit.latte
@@ -1,11 +1,11 @@
 {block content}
 <div class="row">
     <div class="col-9">
-        <div class="display-5">Administrace - Editace uživatele</div>
+        <div class="display-5">Administration - User edit</div>
     </div>
     <div class="col-3 text-right">
-        <a n:href="User:default" class="btn btn-sm btn-success"><span class="fa fa-fw fa-list"></span> Seznam uživatelů</a>
-        <a n:href="User:deleteUser $id" class="btn btn-sm btn-danger" onclick="return confirm('Opravdu chcete uživatele odstranit?')"><span class="fa fa-fw fa-trash"></span> Odstranit uživatele</a>
+        <a n:href="User:default" class="btn btn-sm btn-success"><span class="fa fa-fw fa-list"></span> Users list</a>
+        <a n:href="User:deleteUser $id" class="btn btn-sm btn-danger" onclick="return confirm('Do you really want to delete this user?')"><span class="fa fa-fw fa-trash"></span> Delete user</a>
 
     </div>
 </div>